<ng-container *ngIf="files$ | async as files; else elseBlock">
  <div class="header">
    <h3 class="title">Current Database</h3>
    <button mat-flat-button color="primary" (click)="loadFiles()">
      Refresh
    </button>
  </div>
  <mat-card>
    <table *ngIf="files.length" mat-table [dataSource]="files" class="table sparse" perfectScrollbar>
      <ng-container [matColumnDef]="displayedColumns[0]">
        <th mat-header-cell *matHeaderCellDef>File Name</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[0]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[1]">
        <th mat-header-cell *matHeaderCellDef>No of Records</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[1]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[2]">
        <th mat-header-cell *matHeaderCellDef>Last Modified</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[2]] | date }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[3]">
        <th mat-header-cell *matHeaderCellDef></th>
        <td class="link" mat-cell *matCellDef="let element">
          <a class="link" [routerLink]="['file', element.id]">
            View/Edit
          </a>
        </td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[4]">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a class="link" (click)="downloadFile(element)">
            Download
          </a>
        </td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[5]">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <a class="link" (click)="removeFile(element)">
            Delete
          </a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>
    </table>

    <gng-upload-file (fileUploaded)="upload($event)"></gng-upload-file>
    <gng-spinner class="spinner" *ngIf="loading"></gng-spinner>
  </mat-card>
</ng-container>
<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
